// ImageWrapper.h: interface for the ImageWrapper class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_IMAGEWRAPPER_H__EA8C2BA7_C024_4AAF_8A91_ACCA757B1B0D__INCLUDED_)
#define AFX_IMAGEWRAPPER_H__EA8C2BA7_C024_4AAF_8A91_ACCA757B1B0D__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

//#include "../zafir/hardamaretto.h"


// kan kun lide JPEGS og HANDLES
class ImageWrapper  
{
public:
	void SetDefaults();
//	void SetTransparency(char transparent);
	void SetScale(float s);
	ImageWrapper(unsigned int id);
	ImageWrapper(char *path);
	void SetPosition(float x, float y, float z);
	void Paint();
	void PaintTransparent();
	void RawPaint();
	void SetTexture(char *path);
	void SetTexture(unsigned int id);
	unsigned int texture_id;
	ImageWrapper();
	virtual ~ImageWrapper();

private:
	char transparent;
	float px, py, pz,scale;
	void UpdateTexture();
};

#endif // !defined(AFX_IMAGEWRAPPER_H__EA8C2BA7_C024_4AAF_8A91_ACCA757B1B0D__INCLUDED_)
