// MP3Player.h: interface for the MP3Player class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_MP3PLAYER_H__51177510_80C5_4071_A71A_ECCA0A77E657__INCLUDED_)
#define AFX_MP3PLAYER_H__51177510_80C5_4071_A71A_ECCA0A77E657__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "fmod/fmod.h"
#include "fmod/fmod_errors.h"

class MP3Player  
{
public:
	void Play();
	MP3Player(char *filename);
	virtual ~MP3Player();
private:
	FSOUND_STREAM *	stream;
	FSOUND_SAMPLE *	sptr;
	int				channel;

};

#endif // !defined(AFX_MP3PLAYER_H__51177510_80C5_4071_A71A_ECCA0A77E657__INCLUDED_)
